
# Site settings

# NB! Set your site's url, otherwise stuff will break :)

url: "http://rolandjesse.de"

# If you're hosting your site at a Project repository on GitHub pages
# (https://yourusername.github.io/repository-name)
# and NOT your user repository (https://yourusername.github.io)
# then add in the baseurl here, like this: "/repository-name"
#
# NB! Without this *nothing* will work, because it's used in every path :)

# Statt "/" ist hier "" sinnvoll, da sonst ungültige Pfade mit "//" am Anfang generiert werden.
# baseurl: /personal-jekyll-theme
baseurl: ""

# Google tracking id

google-tracking-id: ""

# Forces https everywhere in your website, except when you serve it locally
# If you are not hosted on Github Pages, and your host doesn't support https
# then you should disable it

force-https: False

#############
# HTML Head #
#############

lang: "de"
author: "Roland Jesse"
title: "[ Roland Jesse ]"
description: "Homepage von Roland Jesse."
keywords: "roland, jesse, autor, läufer, podcaster, büchergefahr"
favicon: "/img/favicon.ico"

################
# Header layout #
################

black-favicon: "/img/black-lab-glass.ico"

# background-img: "/img/intro-bg.jpg"

##############################
# Dynamic Text on the Header #
##############################

dynamic-typing: True
shuffle: True # Shuffle the lines.
loop: True
loop-count: False # Set False for infinite loop, or set any number for finite loop.
type-speed: 10
start-delay: 200
delete-delay: 5000
lines: # You can add HTML Tags in the Text
  - text: "Lieber produktiv prokrastinieren als gar nichts zu tun."
  - text: "Redet schneller als er denken kann. Klingt zumindest manchmal so."
  - text: "Introvertiert und redet trotzdem gern vor vielen Menschen."

me-img: "/img/roland_orange.jpg"

# To use facebook profile pic comment the previous line and uncomment the following
# line, and replace 'user_id' with your facebook user id.
# Facebook user id can be found by clicking on your profile pic and the large number
# in the end of the url just before '&type' is your user id.
# Note: fbid is not the same as user id and user id only contains numbers

# me-img: "https://graph.facebook.com/user_id/picture?type=large&width=500&height=500"

# To use github profile pic uncomment the following line and replace 'user_name'
# with your github user name.

# me-img: "https://github.com/user_name.png?size=500"

# To use gravatar profile pic uncomment the following line and replace 'email_hash'
# with your gravatar profile email hash.
# You can create the email hash by using an online tool like 'http://www.md5hashgenerator.com/'
# just enter your email and it will generate the hash.

# me-img: "https://www.gravatar.com/avatar/email_hash?s=500"

##############################
# Color the browser elements #
##############################
color-browser: "#000000"
apple-status-bar-style: "black"

################
# Web app mode #
################

web-app-mode: True

# Icons for Web App mode

icon-36p: "/img/web-app/icon-36p.png"
icon-48p: "/img/web-app/icon-48p.png"
icon-72p: "/img/web-app/icon-72p.png"
icon-96p: "/img/web-app/icon-96p.png"
icon-144p: "/img/web-app/icon-144p.png"
icon-192p: "/img/web-app/icon-192p.png"

########
# Blog #
########

enable-gesture-navigation: True

post-preview-words: 96

paginate: 5

email-share: True
fb-share: True
twitter-share: True
linkedin-share: True
reddit-share: True
google-plus-share: True
tumblr-share: True
pinterest-share: True
pocket-share: True
vkontakte-share: True

# disqus-shortname: "panossakkos"

syntax-highlight: False

############
# Timeline #
############

events:
  - image: "/img/timeline/angestellter.jpg"
    date: "Angestellter"
    description: "Projektschaffender bei einer [Unternehmensberatung](https://www.pta.de/).<br />(Bild &copy; [Oskar Steimel](http://oskarsteimel.com/))"
  - image: "/img/timeline/laeufer.jpg"
    date: "Läufer"
    description: "Gern und viel unterwegs. Oft im Wald. Gelegentlich auf [Veranstaltungen](http://sr-rolando.com/laeufer/). Dann im sportlichen Kilt."
  - image: "/img/timeline/podcast.jpg"
    date: "Podcaster"
    description: "Gründer, Sprecher, Moderator und Mädchen für alles bei der [Büchergefahr](http://buechergefahr.de/)."
  - image: "/img/timeline/autor.jpg"
    date: "Autor"
    description: "Gelegentlicher Autor von [Unterhaltungstexten](http://sr-rolando.com/texte/). Etwas regelmäßiger schreibend [im Blog](http://sr-rolando.com/)."
  - image: "/img/timeline/schule.jpg"
    date: "Schule"
    description: "Mitglied im Aufsichtsrat der [Schule der Kinder](https://www.waldorfschule-karlsruhe.de/). Dort auch Mituntersuchender des Einflusses der Chronobiologie auf den [Schulrhythmus](http://www.schulrhythmus.de/)."

# First image of the Timeline
timeline-img: "/img/timeline/head.png"

###########
# Contact #
###########

email: "kontakt@rolandjesse.de"

################
# Author Blurb #
################

# The author blurb goes underneath blog posts.
# This works best when your author blurb image has a transparent background, or matches your site background color.

# if the author_blurb is not set, then this feature is skipped
author_blurb: "John Smith is an awesome person. He lives in Flatland, where he works on two-dimensional engineering projects. In his spare time, John likes to eat cotton candy."
author_blurb_image: "/img/author.png"

##################
# Social Buttons
# The title selects the desired Font Awesome icon and it shouldn't include the "fa-" prefix.
##################

social:
  - title: "mastodon"
    url: "https://octodon.social/@sr_rolando"
  - title: "twitter"
    url: "https://twitter.com/sr_rolando"
  - title: "rss"
    url: "http://sr-rolando.com/"
  - title: "child"
    url: "https://www.strava.com/athletes/8075985"

keybase-username: sr_rolando
keybase-in-social: True
keybase-in-footer: False

############
# 404 page #
############

err-404-img: "/img/labtocat.png"

################################################################################

# NB! Tread carefully if you want to change the variables below this point!

# Sections shown in the index page

pages_list:
  Über: 'timeline'
  Kontakt: 'contact'

# Exclusion list from the generated _site

exclude: ["LICENSE", "README.md", "CONTRIBUTING", "CONTRIBUTORS", "scripts"]

# Pagination path

paginate_path: "blog/page:num/"

# Enable minification SASS

sass:
  style: compressed

plugins:
  - jekyll-paginate
  - jemoji
